%define oname pyxattr

Name: python-module-%oname
Version: 0.5.3
Release: alt4.M80C.1

Summary: A python module for accessing filesystem Extended Attributes

License: LGPLv2.1
Group: Development/Python
Url: http://pyxattr.sourceforge.net/
# https://github.com/iustin/pyxattr.git

Source: %name-%version.tar

%setup_python_module %oname

BuildPreReq: libattr-devel python-module-sphinx-devel
BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel


%description
This is the pyxattr module, a Python extension module which gives access
to the extended attributes for filesystem objects available in some
operating systems.

%package -n python3-module-%oname
Summary: A python module for accessing filesystem Extended Attributes
Group: Development/Python3

%description -n python3-module-%oname
This is the pyxattr module, a Python extension module which gives access
to the extended attributes for filesystem objects available in some
operating systems.

%prep
%setup

rm -rf ../python3
cp -fR . ../python3

%build
%prepare_sphinx .
ln -s ../objects.inv doc/

%python_build_debug

pushd ../python3
%python3_build_debug
popd

%install
%python_install

pushd ../python3
%python3_install
popd

export PYTHONPATH=%buildroot%python_sitelibdir
%make doc

%files
%python_sitelibdir/*
%doc NEWS README doc/html

%files -n python3-module-%oname
%python3_sitelibdir/*
%doc NEWS README doc/html


%changelog
* Tue Oct 02 2018 Andrey Bychkov <mrdrew@altlinux.org> 0.5.3-alt4.M80C.1
- fixed setup section

* Thu Mar 17 2016 Ivan Zakharyaschev <imz@altlinux.org> 0.5.3-alt3.1
- (NMU) rebuild with python3-3.5 & rpm-build-python3-0.1.10
  (for ABI dependence and new python3(*) reqs)

* Thu Feb 25 2016 Denis Medvedev <nbr@altlinux.org> 0.5.3-alt3
- removed ENOATTR from code.

* Thu Feb 25 2016 Denis Medvedev <nbr@altlinux.org> 0.5.3-alt2
- Fix includes. Bug in includes.

* Mon Aug 25 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.5.3-alt1
- Version 0.5.3
- Added module for Python 3

* Thu Jan 09 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.5.2-alt1
- Version 0.5.2

* Thu Apr 12 2012 Vitaly Kuznetsov <vitty@altlinux.ru> 0.5.0-alt1.1.1.1
- Rebuild to remove redundant libpython2.7 dependency

* Thu Oct 20 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.5.0-alt1.1.1
- Rebuild with Python-2.7

* Tue Mar 29 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.5.0-alt1.1
- Rebuilt for debuginfo

* Sun Jul 11 2010 Andrey Rahmatullin <wrar@altlinux.org> 0.5.0-alt1
- 0.5.0
- spec fixes

* Mon Nov 23 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.1-alt2
- Rebuilt with python 2.6

* Tue Jan 29 2008 Grigory Batalov <bga@altlinux.ru> 0.2.1-alt1.1
- Rebuilt with python-2.5.

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 0.2.1-alt1
- initial build for ALT Linux Sisyphus
